Module java.desktop
Package javax.swing.event

# Interface TreeSelectionListener

All Superinterfaces:
  `EventListener`

All Known Implementing Classes:
  `BasicTreeUI.TreeSelectionHandler`, `DefaultTreeCellEditor`, `JTree.AccessibleJTree`, `JTree.TreeSelectionRedirector`

    public interface TreeSelectionListener
    extends EventListener

The listener that's notified when the selection in a TreeSelectionModel changes. For more information and examples see How to Write a Tree Selection Listener, a section in The Java Tutorial.

See Also:
  `TreeSelectionModel`, `JTree`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `valueChanged​(TreeSelectionEvent e)` | Called whenever the value of the selection changes.

## Method Details

### valueChanged

void valueChanged​(TreeSelectionEvent e)
Called whenever the value of the selection changes.

Parameters:
  `e` - the event that characterizes the change.